# GET /agent-ops/dashboard

**Resource:** [Agent Ops](./agent-ops.md)  
**Scopes:** `agent-ops:read`  
**Write operation:** no

Aggregated agent operations summary: all registered agents, today's runs, pending signals, and report status. Free (0 credits).

## Response example

```json
{
  "data": {
    "agents": [
      {
        "id": "880b909e-...",
        "name": "nurture-agent",
        "display_name": "Nurture Agent",
        "agent_type": "scheduled_task",
        "status": "active",
        "last_run_at": "2026-05-19T06:00:00Z",
        "last_success_at": "2026-05-19T06:00:00Z",
        "last_failure_at": null,
        "consecutive_failures": 0,
        "schedule": "0 6 * * *"
      }
    ],
    "today_runs": [],
    "pending_signals": [],
    "report_runs": [],
    "summary": {
      "agents_active": 2,
      "agents_total": 2,
      "runs_today": 0,
      "runs_completed": 0,
      "runs_failed": 0,
      "pending_signals": 0,
      "avg_duration_ms": 0
    }
  }
}
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`